com.example.anna.phototag

## Class LayerParent

- java.lang.Object
- - com.example.anna.phototag.LayerParent

- Direct Known Subclasses:
    LayerChild

      public class LayerParent
      extends java.lang.Object

  Created by Anna on 19/03/2015.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerParent()`
    `LayerParent(android.view.Menu mToolbarMenu)` Only it's called when the user is restoring a file.
    `LayerParent(android.widget.RelativeLayout view, android.view.Menu mToolbarMenu, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearArraysArees(int i)` Clear the arraylist.
    `int` | `getArea(int i)`
    `java.util.ArrayList` | `getChildArees()`
    `java.util.ArrayList` | `getChildDot()`
    `android.graphics.drawable.Drawable` | `getDrawableChildArees(int i)`
    `android.widget.RelativeLayout` | `getImageView()`
    `android.widget.ImageView` | `getImageViewChildArea(int i, int j)`
    `android.widget.ImageView` | `getImageViewChildArees(int i)`
    `android.widget.ImageView` | `getImageViewChildDot(int i)`
    `java.util.ArrayList` | `getImageViewsArees(int i)`
    `java.lang.String` | `getNameLayer()`
    `float` | `getPosXArea(int i, int j)`
    `float` | `getPosXXinxeta(int i)`
    `float` | `getPosYArea(int i, int j)`
    `float` | `getPosYXinxeta(int i)`
    `int` | `getSizePosArees(int i)`
    `int` | `getXinxeta(int i)`
    `void` | `setArea(int i, int img, android.widget.ImageView capa)`
    `void` | `setChild(android.widget.ImageView viewChild, float posX, float posY, int img, boolean isDot)`
    `void` | `setImageView(android.widget.RelativeLayout view)` Sets an imageView
    `void` | `setNameLayer(java.lang.String name)` Sets a name to a layer
    `void` | `setPosXArea(int i, float posX)` Sets the x coordinate of an area child.
    `void` | `setPosXXinxeta(int i, float posX)` Sets the x coordinate of a dot
    `void` | `setPosYArea(int i, float posY)` Sets the y coordinate of an area child.
    `void` | `setPosYXinxeta(int i, float posY)` Sets the y coordinate of a dot
    `void` | `updatePosXArea(int i, int j, float posX)` Update coordinate x of an area.
    `void` | `updatePosYArea(int i, int j, float posY)` Update coordinate y of an area.
    `void` | `updateToolbar(android.widget.RelativeLayout layer, java.lang.String name)` Sets visible or hide to the selected layer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerParent

          public LayerParent(android.widget.RelativeLayout view,
                     android.view.Menu mToolbarMenu,
                     java.lang.String name)

      Parameters:
        `view` - view of the layer
        `mToolbarMenu` - toolbar
        `name` - name of the layer

    - #### LayerParent

          public LayerParent(android.view.Menu mToolbarMenu)

      Only it's called when the user is restoring a file.
      Parameters:
        `mToolbarMenu` -

    - #### LayerParent

          public LayerParent()

  - ### Method Detail

    - #### getNameLayer

          public java.lang.String getNameLayer()

      Returns:
        name of a layer

    - #### setNameLayer

          public void setNameLayer(java.lang.String name)

      Sets a name to a layer
      Parameters:
        `name` - of a layer

    - #### getImageView

          public android.widget.RelativeLayout getImageView()

      Returns:
        a imageView

    - #### setImageView

          public void setImageView(android.widget.RelativeLayout view)

      Sets an imageView
      Parameters:
        `view` -

    - #### getChildDot

          public java.util.ArrayList getChildDot()

      Returns:
        the arraylist of dots

    - #### getChildArees

          public java.util.ArrayList getChildArees()

      Returns:
        the arraylist of areas

    - #### getImageViewChildArees

          public android.widget.ImageView getImageViewChildArees(int i)

      Parameters:
        `i` - index
      Returns:
        returns an specific imageview of an area child.

    - #### getDrawableChildArees

          public android.graphics.drawable.Drawable getDrawableChildArees(int i)

      Parameters:
        `i` - index
      Returns:
        returns a drawable of a specific dot child.

    - #### getImageViewChildArea

          public android.widget.ImageView getImageViewChildArea(int i,
                                                       int j)

      Parameters:
        `i` - index
        `j` - index
      Returns:
        an imageview of a specific area child.

    - #### getImageViewChildDot

          public android.widget.ImageView getImageViewChildDot(int i)

      Parameters:
        `i` - index
      Returns:
        an imageview of a specific dot child.

    - #### getPosXXinxeta

          public float getPosXXinxeta(int i)

      Parameters:
        `i` - index
      Returns:
        the x position of a specific dot child.

    - #### getPosYXinxeta

          public float getPosYXinxeta(int i)

      Parameters:
        `i` - index
      Returns:
        the y position of a specific dot child.

    - #### getXinxeta

          public int getXinxeta(int i)

      Parameters:
        `i` - index
      Returns:
        drawable reference of a specific dot child.

    - #### setChild

          public void setChild(android.widget.ImageView viewChild,
                      float posX,
                      float posY,
                      int img,
                      boolean isDot)

      Parameters:
        `viewChild` - imageview
        `posX` - positon x
        `posY` - position y
        `img` - icon
        `isDot` - indicates if it's a dot or an area

    - #### updateToolbar

          public void updateToolbar(android.widget.RelativeLayout layer,
                           java.lang.String name)

      Sets visible or hide to the selected layer.
      Parameters:
        `layer` -
        `name` -

    - #### setPosXXinxeta

          public void setPosXXinxeta(int i,
                            float posX)

      Sets the x coordinate of a dot
      Parameters:
        `i` - index
        `posX` - position x

    - #### setPosYXinxeta

          public void setPosYXinxeta(int i,
                            float posY)

      Sets the y coordinate of a dot
      Parameters:
        `i` - index
        `posY` - position y

    - #### getPosXArea

          public float getPosXArea(int i,
                          int j)

      Parameters:
        `i` - index
        `j` - index
      Returns:
        the x coordinate of a specific area child.

    - #### getPosYArea

          public float getPosYArea(int i,
                          int j)

      Parameters:
        `i` - index
        `j` - index
      Returns:
        the y coordinate of a specific area child.

    - #### getArea

          public int getArea(int i)

      Parameters:
        `i` - index
      Returns:
        returns the icon reference from a specific area child.

    - #### setArea

          public void setArea(int i,
                     int img,
                     android.widget.ImageView capa)

      Parameters:
        `i` - index
        `img` - icon
        `capa` - layer

    - #### setPosXArea

          public void setPosXArea(int i,
                         float posX)

      Sets the x coordinate of an area child.
      Parameters:
        `i` - index
        `posX` - position x

    - #### setPosYArea

          public void setPosYArea(int i,
                         float posY)

      Sets the y coordinate of an area child.
      Parameters:
        `i` - index
        `posY` - position y

    - #### getSizePosArees

          public int getSizePosArees(int i)

      Parameters:
        `i` - index
      Returns:
        returns the size of the arraylist that contains all positions.

    - #### updatePosXArea

          public void updatePosXArea(int i,
                            int j,
                            float posX)

      Update coordinate x of an area.
      Parameters:
        `i` - index
        `j` - index
        `posX` - position x

    - #### updatePosYArea

          public void updatePosYArea(int i,
                            int j,
                            float posY)

      Update coordinate y of an area.
      Parameters:
        `i` - index
        `j` - index
        `posY` - position y

    - #### getImageViewsArees

          public java.util.ArrayList getImageViewsArees(int i)

      Parameters:
        `i` - index
      Returns:
        returns the arraylist that contains all created areas.

    - #### clearArraysArees

          public void clearArraysArees(int i)

      Clear the arraylist.
      Parameters:
        `i` - index